Skip to content
GET /unified/ats/scorecards

Query Parameters

Refer Specifying query parameters in Truto APIs

application_idstring
2 supported2 notes
Ashby
supported

The application's unique identifier.

Greenhouse
supported

The application's unique identifier. If specified, no other query parameters can be used.

organization_idstring

The ID of the organization to filter the scorecards by.

1 supported
Breezy
supported
job_idstring

The ID of the job to filter the scorecards by.

1 supported1 required
Breezy
required
candidate_idstring

The ID of the candidate to filter the scorecards by.

1 supported1 required
Breezy
required
created_atstring · date-time

The date and time of the scorecard's creation

2 supported
Ashby
supported
Greenhouse
supported
updated_atstring · date-time

The date and time of the scorecard's last update

1 supported
Greenhouse
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Scorecards

idstring
required·

The scorecard's unique identifier

3 supported
Ashby
supported
Breezy
supported
Greenhouse
supported
applicationobject

The scorecard's application

2 supported
Ashby
supported
Greenhouse
supported
1 property
idstring

Unique identifier of the application

candidateobject

The scorecard's candidate

1 supported
Greenhouse
supported
1 property
idstring

Unique identifier of the candidate

created_atstring · date-time

The date and time of the scorecard's creation

2 supported
Ashby
supported
Greenhouse
supported
form_valuesobject[]

The scorecard's form values

1 supported
Ashby
supported
4 properties
descriptionstring

The form field's description

labelstring

The form field's label

namestring

The form field's name

valuestring

The form field's value

interviewobject

The scorecard's interview

1 supported
Greenhouse
supported
1 property
idstring

Unique identifier of the interview

interviewerobject

The scorecard's interviewer

3 supported
Ashby
supported
Breezy
supported
Greenhouse
supported
1 property
idstring

Unique identifier of the user

overall_recommendationstring

The scorecard's overall recommendation

2 supported
Breezy
supported
Greenhouse
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

submitted_atstring · date-time

The scorecard's submitted date

2 supported
Ashby
supported
Greenhouse
supported
updated_atstring · date-time

The date and time of the scorecard's last update

1 supported
Greenhouse
supported
curl -X GET 'https://api.truto.one/unified/ats/scorecards?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ats/scorecards?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ats/scorecards"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'ats',
  'scorecards',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "ats",
        "scorecards",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())